package com.ruoyi.project.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.business.domain.train.TtTrainFile;
import com.ruoyi.project.business.domain.vo.train.TrainFileDetailRes;

import java.util.List;

/**
 * 培训资料Service接口
 *
 * @author ruoyi
 * @date 2024-06-19
 */
public interface ITtTrainFileService extends IService<TtTrainFile> {
    /**
     * 查询培训资料
     *
     * @param id 培训资料主键
     * @return 培训资料
     */
    TtTrainFile selectTtTrainFileById(Long id);

    /**
     * 查询培训资料列表
     *
     * @param ttTrainFile 培训资料
     * @return 培训资料集合
     */
    List<TtTrainFile> selectTtTrainFileList(TtTrainFile ttTrainFile);

    /**
     * 新增培训资料
     *
     * @param ttTrainFile 培训资料
     * @return 结果
     */
    int insertTtTrainFile(TtTrainFile ttTrainFile);

    /**
     * 修改培训资料
     *
     * @param ttTrainFile 培训资料
     * @return 结果
     */
    int updateTtTrainFile(TtTrainFile ttTrainFile);

    /**
     * 批量删除培训资料
     *
     * @param ids 需要删除的培训资料主键集合
     * @return 结果
     */
    int deleteTtTrainFileByIds(Long[] ids);

    /**
     * 删除培训资料信息
     *
     * @param id 培训资料主键
     * @return 结果
     */
    int deleteTtTrainFileById(Long id);

    TrainFileDetailRes fileByTrainId(Long trainId);
}
